<?php
@session_start();


$mandant_name = $_SESSION[ "mandant_name" ];

include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );




///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMIN_BENUTZER_GRUPPE" );


if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////





$_SESSION[ "title" ] = "Administratorbereich Benutzer in Gruppen";
include( 'ssi_header.php' );
$_SESSION[ "title" ] = "";
include( "ad_menu.php" );



echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";

echo "<form name='benutzer_in_gruppen' action=''>";
echo '<table border="0"><tr><td style="padding-left:20px;">Benutzer</td><td style="padding-left:40px;">Mitglied in Gruppen</td><td></td><td style="padding-left:20px;">nicht Mitglied in Gruppen</td></tr>
<tr><td><select id="select_style_1" size="20" name="select_style_1"   onchange="fuelle_element( \'ergebnis_1\', \'\' ); ajaxFunction( \'su_web.php?cmd=benutzer_gruppe_in&benutzer_anmeldename=\'+this.value, \'div_select_2\' ); ajaxFunction( \'su_web.php?cmd=benutzer_gruppe_out&benutzer_anmeldename=\'+this.value, \'div_select_3\' );  "  >';


$ergebnis_1 = liefere_wertemenge_elemente( $mandant_name, "systembenutzer" );

foreach ( $ergebnis_1[ 2 ] as $zeile )
{
	$ben = liefere_benutzerinformationen( $mandant_name, $zeile[ "alpha_01" ] );
	
	echo "<option value='".$ben[ 2 ][ "benutzer_anmeldename" ]."'>".$ben[ 2 ][ "benutzer_vorname" ]." ".$ben[ 2 ][ "benutzer_nachname" ]."</option>";
}

$ergebnis = liefere_alle_benutzer_bavn( $mandant_name, false );

foreach ( $ergebnis[ 2 ] as $zeile )
{
	if ( ( strlen( $zeile[ "benutzer_vorname" ] ) == 0 ) and ( strlen( $zeile[ "benutzer_nachname" ] ) == 0 ) )
	{
		$name = $zeile[ "benutzer_anmeldename" ];
	}
	else
	{
		$name = $zeile[ "benutzer_vorname" ]." ".$zeile[ "benutzer_nachname" ];
	}
	echo "<option value='".$zeile[ "benutzer_anmeldename" ]."'>".$name."</option>";
}
//  onchange="fuelle_element( \'ergebnis_3\', \'\' ); ajaxFunction( \'su_web.php?cmd=liefere_benutzerinformationen&benutzer_anmeldename=\'+this.value, \'ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_benutzer_optionen&benutzer_anmeldename=\'+this.value, \'ergebnis_2\' );" 
//  onchange="fuelle_element( \'ergebnis_3\', \'\' ); ajaxFunction( \'su_web.php?cmd=liefere_benutzerinformationen&benutzer_anmeldename=\'+this.value, \'ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_benutzer_optionen&benutzer_anmeldename=\'+this.value, \'ergebnis_2\' );" 
echo'</select></td>

<td style="padding-left:20px;" ><div id="div_select_2" ><select id="select_style_2" size="20" name="select_style_2"  ><div id="div_select_2" /></select></div></td>

<td style="padding-left:10px;" 	>

<input type="button" value="=>" onclick="benutzer_aus_einer_gruppe_entfernen( document.benutzer_in_gruppen.select_style_1.value, document.benutzer_in_gruppen.select_style_2.value, \'ergebnis_1\', \'div_select_2\', \'div_select_3\' );"  />

<br />
<br />

<input type="button" value="<=" onclick="benutzer_einer_gruppe_hinzufuegen( document.benutzer_in_gruppen.select_style_1.value, document.benutzer_in_gruppen.select_style_3.value, \'ergebnis_1\', \'div_select_2\', \'div_select_3\' );" /></td>

<td><div id="div_select_3" ><select id="select_style_3" size="20" name="select_style_3"  ></select></div></td>
</tr></table>

</form>

';




echo '<div name="ergebnis_1" id="ergebnis_1" style=" margin-top:10px;" >'.$_SESSION[ "meldung_ad" ].'</div>';
	$_SESSION[ "meldung_ad" ] = "";








echo "</div>";

include( 'ssi_footer.php' );

?>